haskell-gitlib
source package

NEW: Take a look at the new package tracker: tracker.debian.org/pkg/haskell-gitlib

general

source
haskell-gitlib (optional, misc)
version
3.1.2-3
maint
Debian Haskell Group (a), Clint Adams (u)
arch
any all
std-ver
4.1.4
VCS
Git (browse)

versions ... ...pool

o-o-stable
save 3.1.0-1
oldstable
save 3.1.1-3
stable
save 3.1.2-3
unstable
save 3.1.2-3

binaries

todo

  • Lintian reports 3 warnings about this package. You should make the package lintian clean getting rid of them.
  • The package should be updated to follow the last version of Debian Policy (Standards-Version 4.5.1 instead of 4.1.4).
  • A new upstream version is available: 3.1.3, you should consider packaging it.

problems

testing migration

excuses:
  • Migration status for haskell-gitlib (- to 3.1.2-3): BLOCKED: Rejected/violates migration policy/introduces a regression
  • Issues preventing migration:
  • libghc-gitlib-dev/amd64 has unsatisfiable dependency
  • libghc-gitlib-doc/amd64 has unsatisfiable dependency
  • libghc-gitlib-prof/amd64 has unsatisfiable dependency
  • libghc-gitlib-dev/arm64 has unsatisfiable dependency
  • libghc-gitlib-doc/arm64 has unsatisfiable dependency
  • libghc-gitlib-prof/arm64 has unsatisfiable dependency
  • libghc-gitlib-dev/armel has unsatisfiable dependency
  • libghc-gitlib-prof/armel has unsatisfiable dependency
  • libghc-gitlib-dev/armhf has unsatisfiable dependency
  • libghc-gitlib-prof/armhf has unsatisfiable dependency
  • libghc-gitlib-dev/i386 has unsatisfiable dependency
  • libghc-gitlib-prof/i386 has unsatisfiable dependency
  • libghc-gitlib-dev/mips64el has unsatisfiable dependency
  • libghc-gitlib-prof/mips64el has unsatisfiable dependency
  • libghc-gitlib-dev/mipsel has unsatisfiable dependency
  • libghc-gitlib-prof/mipsel has unsatisfiable dependency
  • libghc-gitlib-dev/ppc64el has unsatisfiable dependency
  • libghc-gitlib-prof/ppc64el has unsatisfiable dependency
  • libghc-gitlib-dev/s390x has unsatisfiable dependency
  • libghc-gitlib-prof/s390x has unsatisfiable dependency
  • Updating haskell-gitlib introduces new bugs: #963748.
  • blocked by freeze: is not in testing
  • Additional info:
  • Cannot be tested by piuparts (not a blocker) - https://piuparts.debian.org/sid/source/h/haskell-gitlib.html
  • uninstallable on arch amd64, not running autopkgtest there
  • uninstallable on arch arm64, not running autopkgtest there
  • 986 days old (needed 20 days)

news RSS

bugs

all bug history graph
1
RC
1
I&N
0
M&W
0
F&P
0